<?php
/*
Plugin Name: Add PayPlug To Commerce Manager
Plugin URI: https://www.kleor.com/commerce-manager/
Description: Adds PayPlug to Commerce Manager.
Version: 1.0
Author: Kleor
Author URI: https://www.kleor.com
Text Domain: commerce-manager
*/


function add_payplug_to_commerce_manager($payment_modes) {
$payment_modes['PayPlug'] = array(
'file' => plugin_dir_path(__FILE__).'payplug.php',
'display_function' => 'display_payplug',
'update_function' => 'update_payplug');
return $payment_modes; }

add_filter('commerce_payment_modes', 'add_payplug_to_commerce_manager');


function display_payplug($options, $back_office_options) { ?>
<table class="form-table"><tbody>
<tr style="vertical-align: top;"><th scope="row" style="width: 20%;"><strong><label for="payplug_email_address"><?php _e('PayPlug email address', 'commerce-manager'); ?></label></strong></th>
<td><textarea style="padding: 0 0.25em; height: 1.75em; width: 50%;" name="payplug_email_address" id="payplug_email_address" rows="1" cols="50"><?php echo $options['payplug_email_address']; ?></textarea>
<span class="description" style="vertical-align: 25%;"><a target="<?php echo $back_office_options['documentations_links_target']; ?>" href="https://www.kleor.com/commerce-manager/documentation/#payplug"><?php _e('More informations', 'commerce-manager'); ?></a><br />
<?php _e('Email address of the PayPlug account that receives payments', 'commerce-manager'); ?></span></td></tr>
<tr style="vertical-align: top;"><th scope="row" style="width: 20%;"><strong><label for="payplug_payment_url"><?php _e('Payment URL', 'commerce-manager'); ?></label></strong></th>
<td><textarea style="margin-right: 0.75em; padding: 0 0.25em; height: 1.75em; width: 75%;" name="payplug_payment_url" id="payplug_payment_url" rows="1" cols="75" onchange="update_form(this.form);"><?php echo $options['payplug_payment_url']; ?></textarea>
<span class="description" style="vertical-align: 25%;"><a target="<?php echo $back_office_options['documentations_links_target']; ?>" href="https://www.kleor.com/commerce-manager/documentation/#payplug"><?php _e('More informations', 'commerce-manager'); ?></a></span></td></tr>
<tr style="vertical-align: top;"><th scope="row" style="width: 20%;"><strong><label for="payplug_public_key"><?php _e('Public key', 'commerce-manager'); ?></label></strong></th>
<td><textarea style="font-family: Lucida Console, Monaco, monospace; float: left; margin-right: 1em; width: 75%;" name="payplug_public_key" id="payplug_public_key" rows="2" cols="75" onchange="update_form(this.form);"><?php echo htmlspecialchars(get_option('commerce_manager_payplug_public_key')); ?></textarea>
<span class="description"><a target="<?php echo $back_office_options['documentations_links_target']; ?>" href="https://www.kleor.com/commerce-manager/documentation/#payplug"><?php _e('More informations', 'commerce-manager'); ?></a></span></td></tr>
<tr style="vertical-align: top;"><th scope="row" style="width: 20%;"><strong><label for="payplug_private_key"><?php _e('Private key', 'commerce-manager'); ?></label></strong></th>
<td><textarea style="font-family: Lucida Console, Monaco, monospace; float: left; margin-right: 1em; width: 75%;" name="payplug_private_key" id="payplug_private_key" rows="2" cols="75" onchange="update_form(this.form);"><?php echo htmlspecialchars(get_option('commerce_manager_payplug_private_key')); ?></textarea>
<span class="description"><a target="<?php echo $back_office_options['documentations_links_target']; ?>" href="https://www.kleor.com/commerce-manager/documentation/#payplug"><?php _e('More informations', 'commerce-manager'); ?></a></span></td></tr>
<tr style="vertical-align: top;"><th scope="row" style="width: 20%;"></th>
<td><input type="submit" class="button-secondary" name="submit" value="<?php _e('Update', 'commerce-manager'); ?>" /></td></tr>
</tbody></table>
<?php }


function update_payplug($options) {
$options['payplug_email_address'] = $_POST['payplug_email_address'];
$payplug_api_fields = array(
'payplug_payment_url' => 'url',
'payplug_private_key' => 'yourPrivateKey',
'payplug_public_key' => 'payplugPublicKey');
foreach ($payplug_api_fields as $field => $key) {
$_POST[$field] = trim((isset($_POST[$field]) ? $_POST[$field] : ''));
if (substr($_POST[$field], 0, 2) == '{"') {
$json = (array) json_decode($_POST[$field]);
foreach ($payplug_api_fields as $field => $key) { if (isset($json[$key])) { $_POST[$field] = trim($json[$key]); } } } }
$options['payplug_payment_url'] = $_POST['payplug_payment_url'];
if (isset($_POST['submit'])) {
update_option('commerce_manager_payplug_private_key', $_POST['payplug_private_key']);
update_option('commerce_manager_payplug_public_key', $_POST['payplug_public_key']); }
return $options; }